petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSolve

Solves a nonlinear system F(x) = b. Call SNESSolve() after calling SNESCreate() and optional routines of the form SNESSetXXX().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSolve(SNES snes,Vec b,Vec x)

Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| b | - the constant part of the equation F(x) = b, or NULL to use zero. Many br
| x | - the solution vector. Many br

### Notes

The user should initialize the vector,x, with the initial guess Many brfor the nonlinear solve prior to calling SNESSolve. In particular, Many brto employ an initial guess of zero, the user should explicitly set Many brthis vector to zero by calling VecSet(). Many br

Many br

### Keywords

SNES, nonlinear, solve

### See Also

SNESCreate(), SNESDestroy(), SNESSetFunction(), SNESSetJacobian(), SNESSetGridSequence(), SNESGetSolution()

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html